function index = findpeak(index, co2)

% function takes starting index and continues to search 
% flow to the left and to the right for a peak of CO2

len = length(co2);
right = index;
while (right < len) && ( co2(right) < co2(right+1))
  right = right + 1;
end

left = index;
while (left > 1) && (co2(left-1) > co2(left) )
  left = left - 1;
end


if (co2(left) >= co2(right))
  index = left;
else
  index = right;
end


end